﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;
using EngagexClassObjects.Object_Classes;

namespace EngagexClassObjects.Object_Classes
{
    public class objCalendar_Calendar_Appointment
    {
        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;
        void Notify(string propName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }
        #endregion

        #region Privates

        private String _Id;
        private DateTime _Start;
        private DateTime _End;
        private String _OwningResourceId;
        private String _OwningCalendarId;
        private String _Subject;
        private String _Description;

        #endregion

        #region Properties

        public String Id
        {
            get { return _Id; }
            set { _Id = value; Notify("Id"); }
        }

        public DateTime Start
        {
            get { return _Start; }
            set { _Start = value; Notify("Start"); }
        }

        public DateTime End
        {
            get { return _End; }
            set { _End = value; Notify("End"); }
        }

        public String OwningResourceId
        {
            get { return _OwningResourceId; }
            set { _OwningResourceId = value; Notify("OwningResourceId"); }
        }

        public String OwningCalendarId
        {
            get { return _OwningCalendarId; }
            set { _OwningCalendarId = value; Notify("OwningCalendarId"); }
        }

        public String Subject
        {
            get { return _Subject; }
            set { _Subject = value; Notify("Subject"); }
        }

        public String Description
        {
            get { return _Description; }
            set { _Description = value; Notify("Description"); }
        }

        #endregion
    }
}
